GRPCK(8)

名称
grpck - 检查组文件的完整性

大纲

grpck [选项] [group [ shadow ]]

描述

The grpck command verifies the integrity of the groups information. It checks that all entries in /etc/group and /etc/gshadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

检查的项目有：

    • 正确的字段数

    • 一个唯一且有效的组名

    • a valid group identifier (/etc/group only)

    • a valid list of members and administrators

    • a corresponding entry in the /etc/gshadow file (respectively /etc/group for the gshadow checks)

The checks for correct number of fields and unique group name are fatal. If an entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated group name is prompted for deletion, but the remaining checks will still be made. All other errors are warnings and the user is encouraged to run the groupmod command to correct the error.

The commands which operate on the /etc/group and /etc/gshadow files are not able to alter corrupted or duplicated entries. grpck should be used in those circumstances to remove the offending entries.

选项

The -r and -s options cannot be combined.

The options which apply to the grpck command are:

-h, --help
    显示帮助信息并退出。

-r, --read-only
    Execute the grpck command in read-only mode. This causes all questions regarding changes to be answered no without user intervention.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sort
    Sort entries in /etc/group and /etc/gshadow by GID.

-S, --silence-warnings
    Suppress more controversial warnings, in particular warnings about inconsistency between group members listed in /etc/group and /etc/ghadow.

By default, grpck operates on /etc/group and /etc/gshadow. The user may select alternate files with the group and shadow parameters.

配置文件

The following configuration variables in /etc/login.defs change the behavior of this tool:

文件

/etc/group
    组账户信息。

/etc/gshadow
    安全组账户信息。

/etc/passwd
    用户账户信息。

退出值

The grpck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad group entries

3
    can't open group files

4
    can't lock group files

5
    can't update group files

参见

group(5), groupmod(8), gshadow(5), passwd(5), pwck(8), shadow(5).